MuPAD(1)

NAME
mupad - multi processing algebra datatool

SYNOPSIS
mupad [ -g ] [ -n ] [ -S ] [ -v ] [ -h helppath ] [ -l libpath ] [ -m modpath ] [ -u userpath ] [ -p stacksize ] [ -L primelimit ] [ -P preferences ] [ -U useroption ] [ -w seconds ] [ -b outputfile ] [ files ]

DESCRIPTION
A standard ASCII terminal session of the computer algebra system MuPAD is started by the command mupad. A graphical front end for MuPAD, called xmupad, is available under the X Window System. See xmupad(1). (The look and feel of xmupad is Motif.) In-depth information about MuPAD and the MuPAD programming language can be found in the MuPAD documentation accessible from inside the program.

The MuPAD system not only consists of the mupad command but also of many other files, for example library files, help files, etc. In order to find these files, mupad uses the environment variable MuPAD_ROOT_PATH. This is set automatically when starting the mupad shell script installed in the MuPAD directory share/bin. It is usually a good idea to add this directory to your command search path (which is given by one of the environment variables path or PATH). You may also want to add the MuPAD directory share/doc/man to the MANPATH environment variable in order to make the MuPAD man pages available.

When mupad is started, it first executes the system init file sysinit.mu and then executes the user's init file userinit.mu (optional). These files contain normal MuPAD programs and are used to set up library search paths, default read paths, or to load frequently-used libraries. The location for the system init file is the directory where the MuPAD library is located. The user init file is usually located in the sub-directory .mupad of the user's home directory, but one may redefine this location using the -u option.

After reading the init files, MuPAD executes the optional program files given by files. If option -b - or -b outputfile is used, MuPAD suppresses all output respectively writes it to the file outputfile and terminates. Otherwise, the MuPAD prompt appears on the screen, and the user may enter MuPAD commands.

OPTIONS

-g  Enter debug mode. MuPAD is started in "debug" mode. This means that MuPAD inserts "debug nodes" into procedures it reads, which are needed for using the debugger. There is a graphical front-end to the debugger, called mdx, which may be started from xmupad. Usually you would prefer mdx to debug MuPAD code over calling debug inside a MuPAD terminal session.

-v  Set verbose mode for debugging.

-S  Startup silently. The banner is not displayed when MuPAD starts.

-h helppath
    Set the path for help files. The MuPAD help files and the index file .mupadhelpindex -- used internally to access the help files -- are searched for in the directory helppath instead of in the default help directory $MuPAD_ROOT_PATH/share/doc/ascii.

-l libpath
    Set the path for library files. MuPAD library files are searched for in the directory libpath instead of in the default library directory $MuPAD_ROOT_PATH/share/lib. This option also sets the initial value of the MuPAD variable LIBPATH.

-m modpath
    Set the path for dynamic modules. MuPAD searches for module files in the directory specified in modpath.

-p stacksize
    Set the stack size for PARI. The number stacksize defines the initial size (in bytes) of the internally-used aritmetic package PARI. The default stack size is 250,000 bytes.

-L primelimit
    Set the limit for the pre-configured prime number list. For internal usage the prime numbers up to primelimit are created by the aritmetic package PARI. The default limit is 1,000,000.

-u userpath
    Set the user init file path. The user init file userinit.mu is searched for in the directory userpath instead of in the subdirectory .mupad in the user's home directory.

ENVIRONMENT
mupad is sensitive to the environment variable LANGUAGE and displays online help in the language selected by this variable, if it exists. The default for help pages not existing in the chosen language is US-American English.

The environment variable PAGER may be set by the user to start his preferred viewer (usually more or less) when viewing help text in a mupad terminal session. The default is more.

SEE ALSO
xmupad(1), mdx(1), the documentation available via ? inside a MuPAD session.

DIAGNOSTICS

Use the MuPAD help system (ie. the commands ? or help) to obtain more information about MuPAD.

SUPPORT

See http://www.mupad.de/.

Please send an email to bugs@mupad.de for getting technical support on MuPAD.